petsc-3.12.1 2019-10-22
Report Typos and Errors

# MatSetErrorIfFailure

Causes Mat to generate an error, for example a zero pivot, is detected.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatSetErrorIfFailure(Mat mat,PetscBool flg)

Logically Collective on Mat

### Input Parameters

| mat | - matrix obtained from MatCreate()
| flg | - PETSC_TRUE indicates you want the error generated

### See Also

PCSetErrorIfFailure()

### Level

advanced

### Location

src/mat/utils/gcreate.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages